# ContainerMapper

Implements \FileNameMapper

A <code>FileNameMapper</code> that contains other <code>FileNameMapper</code>s.

see |
package | phing

### Methods

## Add a <code>FileNameMapper</code>.

    add(\FileNameMapper $fileNameMapper)

throws | if attempting to add this `ContainerMapper` to itself, or if the specified `FileNameMapper` is itself a `ContainerMapper` that contains this `ContainerMapper`.

### Arguments

#### $fileNameMapper

`\FileNameMapper`

a `FileNameMapper`.

## An add configured version of the add method.

    addConfigured(\FileNameMapper $fileNameMapper)

This class used to contain an add method and an addConfiguredMapper method. Dur to ordering, the add method was always called first. This addConfigured method has been added to allow chaining to work correctly.

### Arguments

#### $fileNameMapper

`\FileNameMapper`

a `FileNameMapper`.

## Add a <code>Mapper</code>.

    addMapper(\Mapper $mapper)

### Arguments

#### $mapper

`\Mapper`

the `Mapper` to add.

## Return <code>true</code> if this <code>ContainerMapper</code> or any of its sub-elements contains the specified <code>FileNameMapper</code>.

    contains(\FileNameMapper $fileNameMapper) : boolean

### Arguments

#### $fileNameMapper

`\FileNameMapper`

the `FileNameMapper` to search for.

### Response

`boolean`

## Get the <code>List</code> of <code>FileNameMapper</code>s.

    getMappers() : array<mixed,\FileNameMapper>

### Response

`array<mixed,\FileNameMapper>`

## Empty implementation.

    setFrom(string $ignore) : void

### Arguments

#### $ignore

`string`

ignored.

## Empty implementation.

    setTo(string $ignore) : void

### Arguments

#### $ignore

`string`

ignored.

### Properties

## mappers

    mappers :

### Type(s)

``